#include <stdint.h>
#include <LiquidCrystal_I2C.h>


class Abfahrtsmonitor {
  public:
    Abfahrtsmonitor(uint8_t rows);
    void writeZeile(uint8_t row, String label, String destination, uint8_t departureTime );
    void LCDrefresh();
    void init();
    void clear();
  private:
    struct mystruct{
      String label;
      String destination; 
      uint8_t pos;
      String departureTime;
    };
    
    mystruct zeilenspeicher[4];
    String replaceUmlaute(String ziel);
    String fuellen(String Text, uint8_t laenge, bool dir);
    uint8_t Zeilen;
    LiquidCrystal_I2C *_lcd;
    String Lauftext(String Text , uint8_t *pos, uint8_t laenge, bool lauftextein );
};
